View Issue Details

IDProjectCategoryView StatusLast Update
0001545Ham Radio DeluxeBugpublic2017-06-19 20:46
ReporterWA9PIE 
Assigned ToW4PC 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.2.4 
Summary0001545: ALE callsign entry and duplicates problem
DescriptionFirst, the most annoying bug is when you enter a call sign in the call window on the log, and then realize you have it wrong... the log adds characters in again that you have to arrow forward to and erase as well

For example lets say I am working WA7XYZ.... and right after I see its a dupe.... so I back space Letter by Letter when I erase the W.... it magically reappears.... and worse, if i've already worked him, the whole call appears to jump from the history window below back into the window.

The best way to demonstrate this is to go to your log, pick a call you've worked, enter it into the call window... Tab down to the signal report...and then try to erase the callsign in the call window.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing

Relationships

Activities

WA9PIE

2014-01-24 21:52

administrator   ~0000138

One user reports the following:

http://tickets.hrdsoftwarellc.com/scp/tickets.php?id=2096

The problem is with the received exchange textbox and only occurs if there is a call lookup performed that uses QRZ.com or Callook.Info.com. Enable one of those.

Open HRD Logbook and then the ALE. enter a valid call sign. Click left mouse ONCE on the Received Exchange textbox.
The info for the call entered will fill the form.
Note that a data entry cursor is at the left of the textbox and that the mouse cursor is a text entry cursor no matter where the mouse is moved on the form.
Type a character and note that it DOES NOT appear in the textbox. Click left mouse any where on the form.
Type a character and note that is DOES appear in the textbox. So, it takes two clicks to enter text into the Received Exchange textbox.
Clear the form with the reset button or F4 key. Type the same call into the call textbox and left click once on the Received Exchange textbox. Note that the textbox edit cursor appears as before but now the mouse cursor is a text edit cursor only in the textbox and a normal pointer cursor outside the textbox. Type a character and note that it appears in the textbox as expected.

It looks as though the focus is not shifting to the Received Exchange textbox when it is clicked directly after a call sign lookup that accesses one of the servers has finished. If the call sign lookup fetches data from the cache of recent call lookups, the problem does not occur.

WA9PIE

2014-01-25 11:38

administrator   ~0000139

Verified that this only happens when the "Use Default Location from Country List if not found in ALE" is checked.

W4PC

2014-01-27 23:52

updater   ~0000152

happens in 6.2.211 dev code

W4PC

2014-01-29 13:17

updater   ~0000176

fixed in 6.2.213

WA9PIE

2014-01-29 23:28

administrator   ~0000184

I confirmed the fix.

Issue History

Date Modified Username Field Change
2014-01-20 09:15 WA9PIE New Issue
2014-01-20 09:15 WA9PIE Status new => assigned
2014-01-20 09:15 WA9PIE Assigned To => W4PC
2014-01-24 21:52 WA9PIE Note Added: 0000138
2014-01-25 11:38 WA9PIE Note Added: 0000139
2014-01-25 11:39 WA9PIE Reproducibility have not tried => always
2014-01-27 23:52 W4PC Note Added: 0000152
2014-01-27 23:52 W4PC Status assigned => acknowledged
2014-01-29 13:17 W4PC Note Added: 0000176
2014-01-29 13:17 W4PC Fix Build 6.2 => 6.2.213
2014-01-29 13:17 W4PC Status acknowledged => resolved
2014-01-29 13:17 W4PC Resolution open => fixed
2014-01-29 23:28 WA9PIE Note Added: 0000184
2014-01-29 23:28 WA9PIE Status resolved => closed
2014-03-26 19:41 WA9PIE Summary ALE callsign entry and duplicates problem => Bug: ALE callsign entry and duplicates problem
2014-10-08 22:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2014-10-08 22:13 WA9PIE Category Logbook => General
2015-09-30 12:08 WA9PIE Fix Build 6.2.213 => (select)
2015-09-30 12:08 WA9PIE Proposed Release => TBD
2015-09-30 12:08 WA9PIE Summary Bug: ALE callsign entry and duplicates problem => ALE callsign entry and duplicates problem
2015-09-30 13:35 WA9PIE Category General => Bug
2017-06-19 20:46 WA9PIE Fixed in Version => 6.2.4